package com.mx.dla.dda.contrato.minimum.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.minimum.dtos.MinimunDTO;

public interface MinimunDAO {

	
	public void agregarMinimun(@Param("minimuns")  List<MinimunDTO> minimuns);
	
	public void actualizarMinimun(@Param("minimuns")List<MinimunDTO> minimuns);
	
	public List<MinimunDTO> getMinimunsXPais(@Param("paises")List<Long> paises, @Param("idContrato")Long idContrato);

	public Long getSecuenciaMinimun();
	
}
